Upgrading 2.0.19 to 2.0.22 And Cant Login As Admin Anymore

This is an archive of the phpBB 2.0.x support forum. Support for phpBB2 has now ended.
Forum rules
Following phpBB2's EoL, this forum is now archived for reference purposes only.
Please see the following announcement for more information: viewtopic.php?f=14&t=1385785
Locked
User avatar
MichaelH
Registered User
Posts: 9
Joined: Sun Nov 05, 2006 2:20 pm
Location: Stockton
Contact:

Upgrading 2.0.19 to 2.0.22 And Cant Login As Admin Anymore

Post by MichaelH »

I have already exhastivally searched on the forums for an answer to this and could'nt find any.
The only thing i did was download the phpBB 2.0.22 Changed Files Only and unzipped the 2.0.19_to_2.0.22 to my root folder via ftp. Then ran the http://www.******/forums/install/update_to_latest.php.
Now i can't login as administrator :(

It also tells me that i need to
"make sure you have updated your board files too, this file is only updating your database."
Can someone please explain that one for me too?
Thanks in advance for any help. I would really appretiate it.
I hate it when people forward bogus warnings, but this one is real, and it's important.
If someone comes to your front door saying they are checking for ticks due to the warm weather and asks you to take your clothes off and dance around with your arms up... DO NOT DO IT!! THIS IS A SCAM!! They only want to see you naked!
I wish I'd gotten this yesterday. I feel so stupid!
User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 51404
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: Upgrading 2.0.19 to 2.0.22 And Cant Login As Admin Anymore

Post by stevemaury »

The second message is telling you that update_to_latest.php does not install the updated version of the phpbb files (which you said you had done) - it merely makes the database compatible with the updated version. Normal message.

Now, what happens when you attempt to log in as admin? Error message? Have you deleted the install folder?
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. I can upgrade or update your Board. PM or email me. (Paid support)
PetiteMiel
Registered User
Posts: 39
Joined: Sat May 26, 2007 8:09 pm

Re: Upgrading 2.0.19 to 2.0.22 And Cant Login As Admin Anymore

Post by PetiteMiel »

I had a similar problem and I'm hoping someone can help me.

I had only just installed phpbb 2.0.20, I wanted to upgrade to version 2.0.22

I downloaded the files to be changed and opened the appropriate zip file adding those files to the current phpbb folder on my server. The instructions said to upload the install and contirb directories but I was unclear if I was to add those to the phpbb folder on my server or upload directly to the forum folder where my phpbb folder is located. I tried doing it both ways with different probles occuring each time.

When I added them to the phpbb folder I was able to run the "install/update the lastest php" through the browser as it said to do but after I deleted the install & contrib folders I got an error message when trying to access the admin panel saying they couldn't connect with a language pack.

When I uploaded the install & contrib to the forum folder instead of the phpbb file I was able to run the install/update to lastest php but when I clicked on the link to go to the admin panel I got a message saying to be sure and delete the install and contrib folder from the server. I had already removed them so I tried to log in to the admin panel and it just kept coming back to that page.

I'm not sure what I am doing wrong but I have tried updating this several times and I have tried it everyway I can think of.

Any help would be greatly appreciated.
Locked

Return to “2.0.x Support Forum”